> # NAME

> cginfo - print Cg library information

> # SYNOPSIS

> cginfo [-help] [-profiles] [/path/to/library]

> # DESCRIPTION

> cginfo will print a Cg library's version string to the standard output along with the path to the library from which the version was retrieved. The list of supported profiles can also be displayed.

> The source code for cginfo is found under examples/Tools/cginfo. This example demonstrates how to load the Cg library and get the address of a symbol from the library for all of the platforms on which Cg is supported.

> # OPTIONS

> -help

>   Print a description of the command line options understood by cginfo on the standard output.

> -profiles

>   Also print a list of profiles supported by this library on the standard output. Note that the APIs to enumerate supported profiles were introduced in Cg 2.2. If the library being queried is 2.1 or earlier then this option will have no effect.

> /path/to/library

>   Platform specific path the library to be queried. If no explicit library path is given the platform specific rules for finding shared libraries will be used to locate a copy of the Cg library to query.

> # SEE ALSO

> Cg_language